/**
 * Copyright 2003-2033 dahantc.com Inc.All Rights Reserved.
 * 
 */

/**
  * 帐户参数配置
  * 
  * 用户登录之后在开发者控制台【首页】寻找以下配置参数：
  * $accountSid: 帐号ID，对应开发者帐号下的 ACCOUNT SID
  * $authToken: 授权令牌，对应开发者帐号下的 AUTH TOKEN
  * $apiUrl: API调用路径，对应着开发者后台中的API URL
  * $appId: 应用ID，对应开发者控制台【应用管理】中的某个APP ID
  */
const accountSid = '200f67c6b14240ffb1f1f**********';
const authToken  = 'e44e65e917b24aca96337**********';
const apiUrl 	 = 'https://sms.dahancloud.com/';
const appId 	 = 'e8acc5267b0e4660914f0**********';


/**
  * 短信接口调用说明
  * 
  * 假设您想给手机号159xxxx1234发送一条短信，
  * 您打算使用的模板ID为3，对应模板内容为："您好，您的手机验证码为：{1}，{2}分钟内有效"
  * 给这个模板传入的参数为5678和3，则调用方式为：
  * sendSMS("159xxxx1234", "3", ['5678','3']);
  * 最终收到的短信内容为："【云通讯】您好，您的手机验证码为5678，3分钟内有效"
  */
var send_data = {
    'to': '159xxxx1234',  	// 接收手机号码
    'appId': appId,		  	// 应用ID，对应开发者控制台【应用管理】中的某个APP
	'templateId': '3',	  	// 短信模板ID，在开发者控制台【模板管理】中得到
	'datas': ['5678','3'] 	// 模板替换参数，类似['5678','3']， 如果没有参数需写成[]
};


// 创建SDK实例
const SMSClient = require('./DahantcSmsSDK')
let smsClient = new SMSClient({accountSid, authToken})

//发送短信
smsClient.sendSMS(send_data, sendCallback);

// 返回结果处理
function sendCallback(str){
	var obj = JSON.parse(str);
	if (obj.hasOwnProperty('statusCode') && obj.statusCode == '000000') {
		console.log("短信提交成功，返回结果为：\n" + str);
		
		//TODO 成功处理
		
	} else {
		console.log("短信提交失败，返回结果为：\n" + str);
		
		//TODO 错误处理
		
	}
}